| LCD Library 1.2.1 LCD Library - LCD control class hierarchy library. Drop in replacement for the LiquidCrystal Library.

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Defines | Enumerations | Functions
/Users/fmalpartida/development/ardWorkspace/LiquidCrystal_I2C/LiquiCrystal_I2C/LCD.h File Reference
`#include <WProgram.h>`
`#include <inttypes.h>`
`#include <Print.h>`

Go to the source code of this file.

## Classes
class | LCD
## Defines
#define | BACKLIGHT_OFF 0
#define | BACKLIGHT_ON 255
#define | COMMAND 0
#define | DATA 1
#define | FOUR_BITS 2
#define | HOME_CLEAR_EXEC 2000
#define | LCD_1LINE 0x00
#define | LCD_2LINE 0x08
#define | LCD_4BITMODE 0x00
#define | LCD_5x10DOTS 0x04
#define | LCD_5x8DOTS 0x00
#define | LCD_8BITMODE 0x10
#define | LCD_BLINKOFF 0x00
#define | LCD_BLINKON 0x01
#define | LCD_CLEARDISPLAY 0x01
#define | LCD_CURSORMOVE 0x00
#define | LCD_CURSOROFF 0x00
#define | LCD_CURSORON 0x02
#define | LCD_CURSORSHIFT 0x10
#define | LCD_DISPLAYCONTROL 0x08
#define | LCD_DISPLAYMOVE 0x08
#define | LCD_DISPLAYOFF 0x00
#define | LCD_DISPLAYON 0x04
#define | LCD_ENTRYLEFT 0x02
#define | LCD_ENTRYMODESET 0x04
#define | LCD_ENTRYRIGHT 0x00
#define | LCD_ENTRYSHIFTDECREMENT 0x00
#define | LCD_ENTRYSHIFTINCREMENT 0x01
#define | LCD_FUNCTIONSET 0x20
#define | LCD_MOVELEFT 0x00
#define | LCD_MOVERIGHT 0x04
#define | LCD_RETURNHOME 0x02
#define | LCD_SETCGRAMADDR 0x40
#define | LCD_SETDDRAMADDR 0x80
## Enumerations
enum | t_backlighPol { POSITIVE, NEGATIVE }
## Functions
static void | waitUsec (uint16_t uSec)

## Define Documentation

#define BACKLIGHT_OFF 0

Backlight off constant declaration Used in combination with the setBacklight to swith off the LCD backlight. setBacklight

Definition at line 151 of file LCD.h.

#define BACKLIGHT_ON 255

Backlight on constant declaration Used in combination with the setBacklight to swith on the LCD backlight. setBacklight

Definition at line 159 of file LCD.h.

#define COMMAND 0

Definition at line 132 of file LCD.h.

#define DATA 1

Definition at line 133 of file LCD.h.

#define FOUR_BITS 2

Definition at line 134 of file LCD.h.

#define HOME_CLEAR_EXEC 2000

Defines the duration of the home and clear commands This constant defines the time it takes for the home and clear commands in the LCD - Time in microseconds.

Definition at line 143 of file LCD.h.

#define LCD_1LINE 0x00

Definition at line 125 of file LCD.h.

#define LCD_2LINE 0x08

Definition at line 124 of file LCD.h.

#define LCD_4BITMODE 0x00

Definition at line 123 of file LCD.h.

#define LCD_5x10DOTS 0x04

Definition at line 126 of file LCD.h.

#define LCD_5x8DOTS 0x00

Definition at line 127 of file LCD.h.

#define LCD_8BITMODE 0x10

Definition at line 122 of file LCD.h.

#define LCD_BLINKOFF 0x00

Definition at line 111 of file LCD.h.

#define LCD_BLINKON 0x01

Definition at line 110 of file LCD.h.

#define LCD_CLEARDISPLAY 0x01

All these definitions shouldn't be used unless you are writing a driver. All these definitions are for driver implementation only and shouldn't be used by applications.

Definition at line 88 of file LCD.h.

#define LCD_CURSORMOVE 0x00

Definition at line 116 of file LCD.h.

#define LCD_CURSOROFF 0x00

Definition at line 109 of file LCD.h.

#define LCD_CURSORON 0x02

Definition at line 108 of file LCD.h.

#define LCD_CURSORSHIFT 0x10

Definition at line 92 of file LCD.h.

#define LCD_DISPLAYCONTROL 0x08

Definition at line 91 of file LCD.h.

#define LCD_DISPLAYMOVE 0x08

Definition at line 115 of file LCD.h.

#define LCD_DISPLAYOFF 0x00

Definition at line 107 of file LCD.h.

#define LCD_DISPLAYON 0x04

Definition at line 106 of file LCD.h.

#define LCD_ENTRYLEFT 0x02

Definition at line 100 of file LCD.h.

#define LCD_ENTRYMODESET 0x04

Definition at line 90 of file LCD.h.

#define LCD_ENTRYRIGHT 0x00

Definition at line 99 of file LCD.h.

#define LCD_ENTRYSHIFTDECREMENT 0x00

Definition at line 102 of file LCD.h.

#define LCD_ENTRYSHIFTINCREMENT 0x01

Definition at line 101 of file LCD.h.

#define LCD_FUNCTIONSET 0x20

Definition at line 93 of file LCD.h.

#define LCD_MOVELEFT 0x00

Definition at line 118 of file LCD.h.

#define LCD_MOVERIGHT 0x04

Definition at line 117 of file LCD.h.

#define LCD_RETURNHOME 0x02

Definition at line 89 of file LCD.h.

#define LCD_SETCGRAMADDR 0x40

Definition at line 94 of file LCD.h.

#define LCD_SETDDRAMADDR 0x80

Definition at line 95 of file LCD.h.

## Enumeration Type Documentation

enum t_backlighPol

Enumerator:

  POSITIVE |
  NEGATIVE |

Definition at line 167 of file LCD.h.

## Function Documentation

static void waitUsec | ( | uint16_t | uSec | ) | `[inline, static]`

Enables disables fast waits for write operations for LCD If defined, the library will avoid doing un-necessary waits. this can be done, because the time taken by Arduino's slow digitalWrite operations. If fast digitalIO operations, comment this line out or undefine the mode.

waits for a given time in microseconds (compilation dependent). Waits for a given time defined in microseconds depending on the FAST_MODE define. If the FAST_MODE is defined the call will return inmediatelly.

Parameters:

  uSec[in] | time in microseconds.

Returns:
  None

Definition at line 71 of file LCD.h.

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines